body {
    position: relative;
    height: 100vh;
    margin: 0;
    background-color: #fcf8db;

    --black: #00202a;
    --white: #f8f8f8;
    --blue: #2348cd;
    --skin: #f77676;
    --dark-skin: #cc3c40;
    --light-skin: #f3af9f;
    --yellow: #f6d359;
    --dark-yellow: #e9a964;
}

.person, .person::before, .person::after, .person *, .person *::after, .person *::before {
    position: absolute;
    content: '';
}
/*PERSON*/
/*body*/
.person {
    top: 50%; left: 50%;
    width: 200px; height: 100px;
    background:
        /* collarbone */
        linear-gradient(var(--skin), var(--skin)) 45px 35px / 95px 2px no-repeat,
            /* skin */
        radial-gradient(var(--light-skin) 70%, transparent 0) 0 -50px / 100% 130% no-repeat;
    border-radius: 50%;
    translate: -90px 60px;

    --animation: 6s ease infinite;
}
/*neck*/
.person::before {
    top: -90px; left: 60px;
    width: 80px; height: 100px;
    background:
        linear-gradient(140deg, var(--skin) 50%, transparent calc(50% + 1px)) no-repeat,
        var(--light-skin);
    -webkit-mask-image: linear-gradient(80deg, black 80%, transparent calc(80% + 1px));
    animation: personNeck var(--animation)
}
@keyframes personNeck {
    0%, 20%, 80%, 100% { background-position: 0 0; }
    30% { background-position: 0 7px; }
    40%, 70% { background-position: 0 -5px; }
}
.person__head {
    top: -145px; left: 5px;
    width: 50px; height: 50px;
    background: var(--dark-skin);
    border-radius: 50%;
    box-shadow:
        /* ear */
        135px 0 var(--light-skin),
            /* front hair */
        120px -40px 0 10px var(--yellow),
        80px -60px var(--yellow),
        30px -100px 0 15px var(--yellow),
            /* back hair */
        25px -50px 0 10px var(--dark-yellow),
        80px -70px 0 10px var(--dark-yellow);
    animation:  personHead var(--animation),
                personHair var(--animation);
}
@keyframes personHead {
    0%, 20%, 80%, 100% { translate: 0 0}
    30% {translate: -2px 10px}
    40%, 70% {translate: -2px -7px}
}
@keyframes personHair {
    0%, 30%, 80%, 100% {
        box-shadow:
            /* ear */
            135px 0 var(--light-skin),
                /* front hair */
            120px -40px 0 10px var(--yellow),
            80px -60px var(--yellow),
            30px -100px 0 15px var(--yellow),
                /* back hair */
            25px -50px 0 10px var(--dark-yellow),
            80px -70px 0 10px var(--dark-yellow);
    }
    40%, 70% {
        box-shadow:
            /* ear */
            130px 0 var(--light-skin),
                /* front hair */
            120px -30px 0 10px var(--yellow),
            85px -55px var(--yellow),
            33px -100px 0 15px var(--yellow),
                /* back hair */
            20px -45px 0 10px var(--dark-yellow),
            75px -55px 0 10px var(--dark-yellow);
    }
}
.person__head::before {
    top: -30px; left: 25px;
    width: 130px; aspect-ratio: 1/1;
    background:
        /* hair */
        linear-gradient(-150deg, var(--yellow) 29%, transparent 0) no-repeat,
            /* nose */
        linear-gradient(100deg, var(--skin) 45%, transparent calc(45% + 1px)) 0 70px no-repeat,
        linear-gradient(100deg, var(--skin) 45%, transparent calc(45% + 1px)) no-repeat,
            /* skin */
        var(--light-skin);
    border-radius: 50%;
    animation: personFace var(--animation),
    personNose var(--animation);
}
@keyframes personFace {
    0%, 30%, 80%, 100% {translate: 0 0;}
    40%, 70% {translate: 4px 0;}
}
@keyframes personNose {
    0%, 20%, 80%, 100% {
        background-position: 0 0, -13px 70px, -13px 0, 0 0;
    }
    30% {
        background-position: 0 0, -13px 75px, -13px 5px, 0 0;
    }
    40%, 70% {
        background-position: 0 0, -5px 70px, -5px 0, 0 0;
    }
}
/*smile*/
.person__head::after {
    top: 45px; left: 40px;
    width: 60px; height: 23px;
    border-radius: 0 0 50% 50%;
    box-shadow: inset 0 -13px 0 -10px var(--dark-skin);
    animation: personSmile var(--animation);
}
@keyframes personSmile  {
    0%, 20%, 80%, 100% {
        transform: translate(0, 0) scale(1) rotate(0);
    }
    30% {
        transform: translate(0px, 5px) scale(1) rotate(0deg);
    }
    40%, 70% {
        transform: translate(15px, -5px) scale(0.8) rotate(-15deg);
    }
}
/*eyes*/
.person__face {
    top: 15px; left: 35px;
    width: 8px; aspect-ratio: 1/1;
    background: var(--black);
    border-radius: 50%;
    box-shadow: 65px 0 var(--black);
    animation: personEyes var(--animation);
}
@keyframes personEyes {
    0%, 20%, 80%, 100% { translate: 0 0; }
    30% { translate: 2px 5px; }
    40%, 70% { translate: 15px -10px; }
}
/*hair*/
.person__face::before {
    top: -85px; left: -20px;
    width: 330px; height: 120px;
    border-radius: 0  0 0 100%;
    box-shadow: inset 120px 0 0 -50px var(--yellow);
    animation: personForelock var(--animation);
}
@keyframes personForelock {
    0%, 20%, 80%, 100% {translate: 0 0;}
    30% {translate: 0 -5px}
    40%, 70% {translate: -12px -2px}
}
/*glasses*/
.person__face::after {
    top: -25px; left: -28px;
    width: 60px; aspect-ratio: 1/1;
    border: 2px solid var(--blue);
    border-radius: 50%;
    filter: drop-shadow(75px 0 var(--blue));
    animation: personGlasses var(--animation);
}
@keyframes personGlasses {
    0%, 30%, 80%, 100% {translate: 0 0;}
    40%, 70% {translate: -5px 5px}
}
/*
